function D = detLU(A)
  assert(isamat(A));
  [N,m,n]=size(A);
  assert( m==n )
  [L,U,p]=lu(A,'vector');
  D=permsign(p).*fc_amat.diagprod(U);
end

function S=permsign(p)
% p N-by-d 
  [N,d]=size(p);
  I=nchoosek(1:d,2);
  S=zeros(N,1); for i=1:size(I,1), S=S+double(p(:,I(i,1))>p(:,I(i,2)));end
  S=1-2*rem(S,2);
end
