function [Out,bDs,Error]=set_det(N,verbose,varargin)
  % example of 'set_fun' function used in bench
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('d',2,@isscalar);
  p.addParamValue('class','double');
  p.addParamValue('complex',false,@islogical);
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  R=p.Results;
  Fprintf=R.fprintf;
  d=R.d;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if verbose,  Fprintf('# input parameter for N=%d is :\n',N); end
  [Out,bDs,Error]=fc_amat.benchs.set_datas(N,verbose,'d',[R.d,R.d],'type','amat','class',R.class,'complex',R.complex,varargin{:});
%    A=A{1};
%    Error={};
%    bDs{1}=fc_bench.bdata('N',N,'%d',10);
%    Out={A};
end


